#!/bin/bash

set -e -u;

if [ $# -eq 1 ]; then
    cd "$1";
fi

PREFIX=release;

git pull --tags > /dev/null;
TAG=$(git tag --list | grep "^$PREFIX-" | sort -r | head -n 1);
if git verify-tag "$TAG" 2>/dev/null | grep "TRUST_ULTIMATE" > /dev/null; then
    git checkout "$TAG";
    ./configure.sh;
else
    exit 1;
fi
